### Method

# Foundry SearchManager search

#### Declaration [src]

    DexFuture*
    foundry_search_manager_search (
      FoundrySearchManager* self,
      FoundrySearchRequest* request
    )

#### Description

No description available.

#### Parameters

`request`

  Type: `FoundrySearchRequest`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundrySearchResult`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.